Skip to main content
POST
/
v5
/
banks
/
transactions
Insert transactions
curl --request POST \
  --url https://sandbox.hurdlr.com/rest/v5/banks/transactions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: */*' \
  --data '
{
  "transactions": [
    {
      "apiTransactionId": "1123144594",
      "amount": 500.39,
      "description": "United Airlines",
      "apiAccountId": "fe3mko324njdw",
      "date": "2023-11-07T05:31:56Z",
      "reviewStatus": "PARTNER_REVIEW_REQUIRED",
      "plaidPersonalFinanceCategory": "FOOD_AND_DRINK_COFFEE",
      "finicityCategoryName": "Air Travel",
      "segmintCategoryName": "Air Travel",
      "spadeCategoryName": "Air Travel",
      "unitType": "adjustmentTransaction",
      "merchantCategoryCode": 2741,
      "bankAccountId": 459043850,
      "apiAccountNo": "5435",
      "apiAccountName": "Citi Premier Card",
      "apiAccountType": "CREDIT",
      "apiInstitutionId": "Citi",
      "customData": {},
      "userAccess": "NONE",
      "accountantAccess": "NONE",
      "currencyType": "USD",
      "expenseCategoryOverride": {
        "id": "<string>",
        "companyId": "<string>",
        "name": "<string>",
        "account": {
          "id": "<string>",
          "companyId": "<string>",
          "accountNo": "<string>",
          "parentAccountNo": "<string>",
          "name": "<string>",
          "type": "ASSET",
          "level": 123,
          "hasChilds": true,
          "isContra": true,
          "assetType": "CASH",
          "liabType": "AP",
          "equityType": "CAPITAL",
          "taxCategory": {
            "id": "<string>",
            "name": "<string>",
            "displayName": "<string>",
            "taxCategorySchedC1040Name": "<string>",
            "taxCategory1065Name": "<string>",
            "taxCategory1120Name": "<string>",
            "taxCategory1120SName": "<string>",
            "taxCategoryT2125Name": "<string>",
            "form1040SchedCLineNumber": "<string>",
            "form1040SchedCDisplayName": "<string>",
            "t2125LineNumber": "<string>",
            "t2125DisplayName": "<string>",
            "form1065LineNumber": "<string>",
            "form1065DisplayName": "<string>",
            "form1120SLineNumber": "<string>",
            "form1120SDisplayName": "<string>",
            "entityId": 123
          },
          "taxCategoryName": "<string>",
          "extensionId": "<string>",
          "level0No": "<string>",
          "level0Name": "<string>",
          "level1No": "<string>",
          "level1Name": "<string>",
          "level2No": "<string>",
          "level2Name": "<string>",
          "level3No": "<string>",
          "level3Name": "<string>",
          "status": "ACTIVE",
          "incomeType": "SERVICE_INCOME",
          "systemGenerated": true,
          "companyIdLong": 123,
          "customerPartnerId": 123,
          "createdDate": "2023-11-07T05:31:56Z",
          "idPrefix": "COMPANY",
          "cogsorExpenseType": "MERCHANT_FEE",
          "cfstype": "OPERATING",
          "externalId": "<string>"
        },
        "isCore": true,
        "fixedAssetAccount": {
          "id": "<string>",
          "companyId": "<string>",
          "accountNo": "<string>",
          "parentAccountNo": "<string>",
          "name": "<string>",
          "type": "ASSET",
          "level": 123,
          "hasChilds": true,
          "isContra": true,
          "assetType": "CASH",
          "liabType": "AP",
          "equityType": "CAPITAL",
          "taxCategory": {
            "id": "<string>",
            "name": "<string>",
            "displayName": "<string>",
            "taxCategorySchedC1040Name": "<string>",
            "taxCategory1065Name": "<string>",
            "taxCategory1120Name": "<string>",
            "taxCategory1120SName": "<string>",
            "taxCategoryT2125Name": "<string>",
            "form1040SchedCLineNumber": "<string>",
            "form1040SchedCDisplayName": "<string>",
            "t2125LineNumber": "<string>",
            "t2125DisplayName": "<string>",
            "form1065LineNumber": "<string>",
            "form1065DisplayName": "<string>",
            "form1120SLineNumber": "<string>",
            "form1120SDisplayName": "<string>",
            "entityId": 123
          },
          "taxCategoryName": "<string>",
          "extensionId": "<string>",
          "level0No": "<string>",
          "level0Name": "<string>",
          "level1No": "<string>",
          "level1Name": "<string>",
          "level2No": "<string>",
          "level2Name": "<string>",
          "level3No": "<string>",
          "level3Name": "<string>",
          "status": "ACTIVE",
          "incomeType": "SERVICE_INCOME",
          "systemGenerated": true,
          "companyIdLong": 123,
          "customerPartnerId": 123,
          "createdDate": "2023-11-07T05:31:56Z",
          "idPrefix": "COMPANY",
          "cogsorExpenseType": "MERCHANT_FEE",
          "cfstype": "OPERATING",
          "externalId": "<string>"
        },
        "isSuspense": true,
        "hasChilds": true,
        "level": 123,
        "status": "ACTIVE",
        "systemGenerated": true,
        "precedence": 123,
        "categoryNo": "<string>",
        "parentCategoryNo": "<string>",
        "parentCategory": "<unknown>",
        "apiCategoryId": "<string>",
        "apiName": "GOOGLELOGIN",
        "extensionId": "<string>",
        "idPrefix": "COMPANY",
        "nameColumnNameForPagination": "<string>",
        "externalId": "<string>"
      },
      "revenueAccountIdOverride": 123
    }
  ]
}
'
[
  {
    "result": "SUCCESS",
    "errors": {
      "fieldErrors": {},
      "globalErrors": [
        {
          "type": "DUPLICATE",
          "errorMessage": "<string>"
        }
      ]
    },
    "id": "<string>",
    "webhook": {
      "userId": "<string>",
      "accountantUserId": "<string>",
      "type": "ENTITY_UPDATE"
    }
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.tight.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

*/*

Transaction data

Parameters for a list of transaction(s) V5 endpoint

transactions
object[]
required

List of transactions

Response

200 - application/json

Successful operation

result
enum<string>

The result of the action performed

Available options:
SUCCESS,
FAILURE
errors
object

Error object containing details errors incurred, if any

id
string

Id of the entity being acted upon

webhook
object